/**
 * Global Components for Volar
 * https://github.com/johnsoncodehk/volar/issues/418
 * https://github.com/johnsoncodehk/volar/discussions/848
 * put global.d.ts to your project root dir
 */
declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    LButton: typeof import('@ldesign/desktop-next')['Button'];
    LIcon: typeof import('@ldesign/desktop-next')['Icon'];
    LLink: typeof import('@ldesign/desktop-next')['Link'];
    LCol: typeof import('@ldesign/desktop-next')['Col'];
    LRow: typeof import('@ldesign/desktop-next')['Row'];
    LLayout: typeof import('@ldesign/desktop-next')['Layout'];
    LAside: typeof import('@ldesign/desktop-next')['Aside'];
    LHeader: typeof import('@ldesign/desktop-next')['Header'];
    LFooter: typeof import('@ldesign/desktop-next')['Footer'];
    LContent: typeof import('@ldesign/desktop-next')['Content'];
    LDivider: typeof import('@ldesign/desktop-next')['Divider'];
    LSpace: typeof import('@ldesign/desktop-next')['Space'];
    LAffix: typeof import('@ldesign/desktop-next')['Affix'];
    LAnchor: typeof import('@ldesign/desktop-next')['Anchor'];
    LAnchorItem: typeof import('@ldesign/desktop-next')['AnchorItem'];
    LAnchorTarget: typeof import('@ldesign/desktop-next')['AnchorTarget'];
    LBreadcrumb: typeof import('@ldesign/desktop-next')['Breadcrumb'];
    LBreadcrumbItem: typeof import('@ldesign/desktop-next')['BreadcrumbItem'];
    LDropdown: typeof import('@ldesign/desktop-next')['Dropdown'];
    LDropdownItem: typeof import('@ldesign/desktop-next')['DropdownItem'];
    LDropdownMenu: typeof import('@ldesign/desktop-next')['DropdownMenu'];
    LMenu: typeof import('@ldesign/desktop-next')['Menu'];
    LHeadMenu: typeof import('@ldesign/desktop-next')['HeadMenu'];
    LSubmenu: typeof import('@ldesign/desktop-next')['Submenu'];
    LMenuItem: typeof import('@ldesign/desktop-next')['MenuItem'];
    LMenuGroup: typeof import('@ldesign/desktop-next')['MenuGroup'];
    LPagination: typeof import('@ldesign/desktop-next')['Pagination'];
    LPaginationMini: typeof import('@ldesign/desktop-next')['PaginationMini'];
    LSteps: typeof import('@ldesign/desktop-next')['Steps'];
    LStepItem: typeof import('@ldesign/desktop-next')['StepItem'];
    LTabs: typeof import('@ldesign/desktop-next')['Tabs'];
    LTabPanel: typeof import('@ldesign/desktop-next')['TabPanel'];
    LAutoComplete: typeof import('@ldesign/desktop-next')['AutoComplete'];
    LHighlightOption: typeof import('@ldesign/desktop-next')['HighlightOption'];
    LCascader: typeof import('@ldesign/desktop-next')['Cascader'];
    LCascaderPanel: typeof import('@ldesign/desktop-next')['CascaderPanel'];
    LCheckbox: typeof import('@ldesign/desktop-next')['Checkbox'];
    LCheckboxGroup: typeof import('@ldesign/desktop-next')['CheckboxGroup'];
    LDatePicker: typeof import('@ldesign/desktop-next')['DatePicker'];
    LDatePickerPanel: typeof import('@ldesign/desktop-next')['DatePickerPanel'];
    LDateRangePicker: typeof import('@ldesign/desktop-next')['DateRangePicker'];
    LDateRangePickerPanel: typeof import('@ldesign/desktop-next')['DateRangePickerPanel'];
    LForm: typeof import('@ldesign/desktop-next')['Form'];
    LFormItem: typeof import('@ldesign/desktop-next')['FormItem'];
    LInputAdornment: typeof import('@ldesign/desktop-next')['InputAdornment'];
    LInput: typeof import('@ldesign/desktop-next')['Input'];
    LInputGroup: typeof import('@ldesign/desktop-next')['InputGroup'];
    LInputNumber: typeof import('@ldesign/desktop-next')['InputNumber'];
    LRadio: typeof import('@ldesign/desktop-next')['Radio'];
    LRadioGroup: typeof import('@ldesign/desktop-next')['RadioGroup'];
    LRadioButton: typeof import('@ldesign/desktop-next')['RadioButton'];
    LSelect: typeof import('@ldesign/desktop-next')['Select'];
    LOption: typeof import('@ldesign/desktop-next')['Option'];
    LOptionGroup: typeof import('@ldesign/desktop-next')['OptionGroup'];
    LSlider: typeof import('@ldesign/desktop-next')['Slider'];
    LSliderButton: typeof import('@ldesign/desktop-next')['SliderButton'];
    LSwitch: typeof import('@ldesign/desktop-next')['Switch'];
    LTagInput: typeof import('@ldesign/desktop-next')['TagInput'];
    LSelectInput: typeof import('@ldesign/desktop-next')['SelectInput'];
    LTextarea: typeof import('@ldesign/desktop-next')['Textarea'];
    LTransfer: typeof import('@ldesign/desktop-next')['Transfer'];
    LTimePicker: typeof import('@ldesign/desktop-next')['TimePicker'];
    LTimeRangePicker: typeof import('@ldesign/desktop-next')['TimeRangePicker'];
    LTimePickerPanel: typeof import('@ldesign/desktop-next')['TimePickerPanel'];
    LTreeSelect: typeof import('@ldesign/desktop-next')['TreeSelect'];
    LColorPicker: typeof import('@ldesign/desktop-next')['ColorPicker'];
    LColorPickerPanel: typeof import('@ldesign/desktop-next')['ColorPickerPanel'];
    LRangeInput: typeof import('@ldesign/desktop-next')['RangeInput'];
    LRangeInputPopup: typeof import('@ldesign/desktop-next')['RangeInputPopup'];
    LAvatar: typeof import('@ldesign/desktop-next')['Avatar'];
    LAvatarGroup: typeof import('@ldesign/desktop-next')['AvatarGroup'];
    LBadge: typeof import('@ldesign/desktop-next')['Badge'];
    LCalendar: typeof import('@ldesign/desktop-next')['Calendar'];
    LCard: typeof import('@ldesign/desktop-next')['Card'];
    LComment: typeof import('@ldesign/desktop-next')['Comment'];
    LImage: typeof import('@ldesign/desktop-next')['Image'];
    LImageViewer: typeof import('@ldesign/desktop-next')['ImageViewer'];
    LList: typeof import('@ldesign/desktop-next')['List'];
    LListItem: typeof import('@ldesign/desktop-next')['ListItem'];
    LListItemMeta: typeof import('@ldesign/desktop-next')['ListItemMeta'];
    LProgress: typeof import('@ldesign/desktop-next')['Progress'];
    LSkeleton: typeof import('@ldesign/desktop-next')['Skeleton'];
    LSwiper: typeof import('@ldesign/desktop-next')['Swiper'];
    LSwiperItem: typeof import('@ldesign/desktop-next')['SwiperItem'];
    LTable: typeof import('@ldesign/desktop-next')['Table'];
    LBaseTable: typeof import('@ldesign/desktop-next')['BaseTable'];
    LPrimaryTable: typeof import('@ldesign/desktop-next')['PrimaryTable'];
    LEnhancedTable: typeof import('@ldesign/desktop-next')['EnhancedTable'];
    LTag: typeof import('@ldesign/desktop-next')['Tag'];
    LCheckTag: typeof import('@ldesign/desktop-next')['CheckTag'];
    LTimeline: typeof import('@ldesign/desktop-next')['Timeline'];
    LTimelineItem: typeof import('@ldesign/desktop-next')['TimelineItem'];
    LTooltip: typeof import('@ldesign/desktop-next')['Tooltip'];
    LTree: typeof import('@ldesign/desktop-next')['Tree'];
    LCollapse: typeof import('@ldesign/desktop-next')['Collapse'];
    LCollapsePanel: typeof import('@ldesign/desktop-next')['CollapsePanel'];
    LWatermark: typeof import('@ldesign/desktop-next')['Watermark'];
    LRate: typeof import('@ldesign/desktop-next')['Rate'];
    LAlert: typeof import('@ldesign/desktop-next')['Alert'];
    LDialog: typeof import('@ldesign/desktop-next')['Dialog'];
    LDrawer: typeof import('@ldesign/desktop-next')['Drawer'];
    LGuide: typeof import('@ldesign/desktop-next')['Guide'];
    LLoading: typeof import('@ldesign/desktop-next')['Loading'];
    LMessage: typeof import('@ldesign/desktop-next')['Message'];
    LNotification: typeof import('@ldesign/desktop-next')['Notification'];
    LPopconfirm: typeof import('@ldesign/desktop-next')['Popconfirm'];
    LPopup: typeof import('@ldesign/desktop-next')['Popup'];
    LUpload: typeof import('@ldesign/desktop-next')['Upload'];
    LConfigProvider: typeof import('@ldesign/desktop-next')['ConfigProvider'];
  }
}

export {};
